using FluentValidation;
using Hotline.Share.Dtos.Knowledge;

namespace Hotline.Validators.Knowledge
{
    public class UpdateKnowledgeApplyDtoValidator : AbstractValidator<UpdateKnowledgeApplyDto>
    {
        /// <summary>
        /// 修改验证
        /// </summary>
        public UpdateKnowledgeApplyDtoValidator()
        {
            RuleFor(d => d.Id).NotEmpty();
            RuleFor(d => d.KnowledgeApplyType).NotEmpty();
            RuleFor(d => d.Content).NotEmpty();
            RuleFor(d => d.DepartmentId).NotEmpty();
            RuleFor(d => d.Department).NotEmpty();
        }
    }
}
